VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL CLK
        SIGNAL STOP
        SIGNAL RUN
        SIGNAL XLXN_18
        SIGNAL WE
        SIGNAL OE
        SIGNAL CS
        SIGNAL ADR(15:0)
        SIGNAL ADR(15)
        SIGNAL XLXN_10
        SIGNAL XLXN_24
        SIGNAL XLXN_25
        SIGNAL M50
        SIGNAL XLXN_83
        SIGNAL AD_CLK
        SIGNAL RESET
        SIGNAL DIV0
        SIGNAL DIV1
        SIGNAL XLXN_110
        SIGNAL XLXN_115
        SIGNAL XLXN_117
        SIGNAL XLXN_119
        SIGNAL XLXN_118
        SIGNAL XLXN_120
        SIGNAL XLXN_122
        SIGNAL XLXN_124
        SIGNAL XLXN_126
        SIGNAL XLXN_46
        SIGNAL XLXN_45
        SIGNAL Teiler(15:0)
        SIGNAL Teiler(4)
        SIGNAL Teiler(7)
        SIGNAL Teiler(9)
        PORT Input CLK
        PORT Output STOP
        PORT Input RUN
        PORT Output WE
        PORT Output OE
        PORT Output CS
        PORT Output ADR(15:0)
        PORT Input M50
        PORT Output AD_CLK
        PORT Input RESET
        PORT Input DIV0
        PORT Input DIV1
        BEGIN BLOCKDEF cb16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF and3
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -176 144 -176 
            LINE N 144 -80 64 -80 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 64 -64 64 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF nand2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 216 -96 
            CIRCLE N 192 -108 216 -84 
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF d2_4e
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -384 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 0 -320 64 -320 
            LINE N 384 -128 320 -128 
            LINE N 384 -192 320 -192 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
        END BLOCKDEF
        BEGIN BLOCKDEF nor4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 48 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 48 -256 
            LINE N 256 -160 216 -160 
            CIRCLE N 192 -172 216 -148 
            LINE N 112 -208 48 -208 
            ARC N 28 -208 204 -32 192 -160 112 -208 
            LINE N 112 -112 48 -112 
            LINE N 48 -256 48 -208 
            LINE N 48 -64 48 -112 
            ARC N -40 -216 72 -104 48 -112 48 -208 
            ARC N 28 -288 204 -112 112 -112 192 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_4 inv
            PIN I ADR(15)
            PIN O STOP
        END BLOCK
        BEGIN BLOCK XLXI_2 or2
            PIN I0 CLK
            PIN I1 XLXN_18
            PIN O XLXN_24
        END BLOCK
        BEGIN BLOCK XLXI_11 inv
            PIN I XLXN_18
            PIN O WE
        END BLOCK
        BEGIN BLOCK XLXI_16 nand2
            PIN I0 CLK
            PIN I1 WE
            PIN O OE
        END BLOCK
        BEGIN BLOCK XLXI_6 gnd
            PIN G CS
        END BLOCK
        BEGIN BLOCK XLXI_1 cb16ce
            PIN C XLXN_25
            PIN CE XLXN_10
            PIN CLR RESET
            PIN CEO
            PIN Q(15:0) ADR(15:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_5 vcc
            PIN P XLXN_10
        END BLOCK
        BEGIN BLOCK XLXI_19 inv
            PIN I XLXN_24
            PIN O XLXN_25
        END BLOCK
        BEGIN BLOCK XLXI_31 and3
            PIN I0 RUN
            PIN I1 STOP
            PIN I2 XLXN_83
            PIN O XLXN_18
        END BLOCK
        BEGIN BLOCK XLXI_52 inv
            PIN I XLXN_83
            PIN O AD_CLK
        END BLOCK
        BEGIN BLOCK XLXI_57 d2_4e
            PIN A0 DIV0
            PIN A1 DIV1
            PIN E XLXN_110
            PIN D0 XLXN_126
            PIN D1 XLXN_124
            PIN D2 XLXN_122
            PIN D3 XLXN_120
        END BLOCK
        BEGIN BLOCK XLXI_58 vcc
            PIN P XLXN_110
        END BLOCK
        BEGIN BLOCK XLXI_44 and2
            PIN I0 XLXN_124
            PIN I1 Teiler(4)
            PIN O XLXN_115
        END BLOCK
        BEGIN BLOCK XLXI_45 and2
            PIN I0 XLXN_126
            PIN I1 M50
            PIN O XLXN_119
        END BLOCK
        BEGIN BLOCK XLXI_60 and2
            PIN I0 XLXN_122
            PIN I1 Teiler(7)
            PIN O XLXN_117
        END BLOCK
        BEGIN BLOCK XLXI_61 and2
            PIN I0 XLXN_120
            PIN I1 Teiler(9)
            PIN O XLXN_118
        END BLOCK
        BEGIN BLOCK XLXI_66 nor4
            PIN I0 XLXN_118
            PIN I1 XLXN_117
            PIN I2 XLXN_115
            PIN I3 XLXN_119
            PIN O XLXN_83
        END BLOCK
        BEGIN BLOCK XLXI_32 vcc
            PIN P XLXN_46
        END BLOCK
        BEGIN BLOCK XLXI_33 gnd
            PIN G XLXN_45
        END BLOCK
        BEGIN BLOCK XLXI_67 cb16ce
            PIN C M50
            PIN CE XLXN_46
            PIN CLR XLXN_45
            PIN CEO
            PIN Q(15:0) Teiler(15:0)
            PIN TC
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH CLK
            WIRE 672 2144 1392 2144
            WIRE 1392 2144 1488 2144
            WIRE 1392 2144 1392 2432
            WIRE 1392 2432 1952 2432
        END BRANCH
        INSTANCE XLXI_4 1792 1696 R180
        BEGIN BRANCH STOP
            WIRE 672 1728 1136 1728
            WIRE 1136 1728 1136 1872
            WIRE 1136 1872 1200 1872
            WIRE 1136 1728 1568 1728
        END BRANCH
        BEGIN BRANCH RUN
            WIRE 672 1936 1200 1936
        END BRANCH
        INSTANCE XLXI_2 1488 2208 R0
        BEGIN BRANCH XLXN_18
            WIRE 1456 1872 1456 2080
            WIRE 1456 2080 1488 2080
            WIRE 1456 2080 1456 2288
            WIRE 1456 2288 1504 2288
        END BRANCH
        INSTANCE XLXI_11 1504 2320 R0
        BEGIN BRANCH WE
            WIRE 1728 2288 1872 2288
            WIRE 1872 2288 1872 2368
            WIRE 1872 2368 1952 2368
            WIRE 1872 2288 3120 2288
        END BRANCH
        INSTANCE XLXI_16 1952 2496 R0
        BEGIN BRANCH OE
            WIRE 2208 2400 3120 2400
        END BRANCH
        BEGIN BRANCH CS
            WIRE 2912 2496 2912 2512
            WIRE 2912 2496 3120 2496
        END BRANCH
        INSTANCE XLXI_1 2208 2240 R0
        BEGIN BRANCH ADR(15:0)
            WIRE 2592 1984 2720 1984
            WIRE 2720 1712 2720 1728
            WIRE 2720 1728 2720 1872
            WIRE 2720 1872 2720 1984
            WIRE 2720 1712 3120 1712
            BEGIN DISPLAY 2720 1872 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2720 1728 2624 1728
        BEGIN BRANCH ADR(15)
            WIRE 1792 1728 2384 1728
            WIRE 2384 1728 2624 1728
            BEGIN DISPLAY 2384 1728 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_5 2096 2000 R0
        BEGIN BRANCH XLXN_10
            WIRE 2160 2000 2160 2048
            WIRE 2160 2048 2208 2048
        END BRANCH
        INSTANCE XLXI_19 1872 2144 R0
        BEGIN BRANCH XLXN_24
            WIRE 1744 2112 1872 2112
        END BRANCH
        BEGIN BRANCH XLXN_25
            WIRE 2096 2112 2208 2112
        END BRANCH
        INSTANCE XLXI_31 1200 2000 R0
        IOMARKER 672 1728 STOP R180 28
        IOMARKER 672 1936 RUN R180 28
        IOMARKER 672 2144 CLK R180 28
        IOMARKER 672 2208 RESET R180 28
        INSTANCE XLXI_6 2848 2640 R0
        IOMARKER 3120 1712 ADR(15:0) R0 28
        IOMARKER 3120 2288 WE R0 28
        IOMARKER 3120 2400 OE R0 28
        IOMARKER 3120 2496 CS R0 28
        BEGIN BRANCH XLXN_83
            WIRE 1200 1520 1200 1808
            WIRE 1200 1520 2704 1520
            WIRE 2704 1520 2800 1520
            WIRE 2528 1152 2704 1152
            WIRE 2704 1152 2704 1520
        END BRANCH
        BEGIN BRANCH AD_CLK
            WIRE 3024 1520 3120 1520
        END BRANCH
        IOMARKER 672 1200 M50 R180 28
        BEGIN BRANCH RESET
            WIRE 672 2208 2208 2208
        END BRANCH
        BEGIN BRANCH M50
            WIRE 672 1200 960 1200
            WIRE 960 1200 1072 1200
            WIRE 960 864 1904 864
            WIRE 960 864 960 1184
            WIRE 960 1184 960 1200
        END BRANCH
        IOMARKER 3120 1520 AD_CLK R0 28
        INSTANCE XLXI_52 2800 1552 R0
        BEGIN BRANCH DIV0
            WIRE 656 256 864 256
        END BRANCH
        INSTANCE XLXI_57 864 576 R0
        BEGIN BRANCH DIV1
            WIRE 656 320 864 320
        END BRANCH
        IOMARKER 656 320 DIV1 R180 28
        IOMARKER 656 256 DIV0 R180 28
        BEGIN BRANCH XLXN_110
            WIRE 832 432 832 448
            WIRE 832 448 864 448
        END BRANCH
        INSTANCE XLXI_58 768 432 R0
        INSTANCE XLXI_44 1904 1168 R0
        INSTANCE XLXI_45 1904 992 R0
        INSTANCE XLXI_60 1904 1344 R0
        INSTANCE XLXI_61 1904 1504 R0
        INSTANCE XLXI_66 2272 1312 R0
        BEGIN BRANCH XLXN_115
            WIRE 2160 1072 2176 1072
            WIRE 2176 1072 2176 1120
            WIRE 2176 1120 2272 1120
        END BRANCH
        BEGIN BRANCH XLXN_117
            WIRE 2160 1248 2176 1248
            WIRE 2176 1184 2272 1184
            WIRE 2176 1184 2176 1248
        END BRANCH
        BEGIN BRANCH XLXN_119
            WIRE 2160 896 2224 896
            WIRE 2224 896 2224 1056
            WIRE 2224 1056 2272 1056
        END BRANCH
        BEGIN BRANCH XLXN_118
            WIRE 2160 1408 2272 1408
            WIRE 2272 1248 2272 1408
        END BRANCH
        BEGIN BRANCH XLXN_120
            WIRE 1248 448 1776 448
            WIRE 1776 448 1776 1440
            WIRE 1776 1440 1904 1440
        END BRANCH
        BEGIN BRANCH XLXN_122
            WIRE 1248 384 1808 384
            WIRE 1808 384 1808 1280
            WIRE 1808 1280 1904 1280
        END BRANCH
        BEGIN BRANCH XLXN_124
            WIRE 1248 320 1840 320
            WIRE 1840 320 1840 1104
            WIRE 1840 1104 1904 1104
        END BRANCH
        BEGIN BRANCH XLXN_126
            WIRE 1248 256 1872 256
            WIRE 1872 256 1872 928
            WIRE 1872 928 1904 928
        END BRANCH
        BEGIN BRANCH XLXN_46
            WIRE 1040 1104 1040 1120
            WIRE 1040 1120 1040 1136
            WIRE 1040 1136 1072 1136
        END BRANCH
        BEGIN BRANCH XLXN_45
            WIRE 1072 1296 1072 1312
            WIRE 1072 1312 1072 1328
        END BRANCH
        INSTANCE XLXI_32 976 1104 R0
        INSTANCE XLXI_33 1008 1456 R0
        INSTANCE XLXI_67 1072 1328 R0
        BEGIN BRANCH Teiler(15:0)
            WIRE 1456 1072 1600 1072
            WIRE 1600 1072 1600 1216
            WIRE 1600 1216 1600 1376
            WIRE 1600 1040 1600 1072
        END BRANCH
        BUSTAP 1600 1040 1696 1040
        BUSTAP 1600 1216 1696 1216
        BUSTAP 1600 1376 1696 1376
        BEGIN BRANCH Teiler(4)
            WIRE 1696 1040 1904 1040
        END BRANCH
        BEGIN BRANCH Teiler(7)
            WIRE 1696 1216 1904 1216
        END BRANCH
        BEGIN BRANCH Teiler(9)
            WIRE 1696 1376 1904 1376
        END BRANCH
    END SHEET
END SCHEMATIC
